
Foreman - Bug #1673

Foreman doesn't work with ruby_parser 2.0.6

06/07/2012 11:48 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Trying to run Foreman when ruby_parser 2.0.6 is installed fails with the following error:

/usr/share/foreman/app/models/environment.rb:1: superclass mismatch for class Environment (TypeErr

or)

 This is caused by this versions ruby_parser defining Environment constant itself. With version 2.3.1 this is not the case.

It means Foreman is dependent on this or higher version being installed and therefore it should be added to Gemfile (patch

attached), and also into RPMS and DEBS explicitly.

Associated revisions

Revision 80419840 - 06/08/2012 03:38 AM - Ivan Necas

fixes #1673 - Foreman doesn't work with ruby_parser 2.0.6

Explicitly stating the version of ruby_parser that works with Foreman.

Otherwise you might get:

superclass mismatch for class Environment (TypeError)

History

#1 - 06/07/2012 02:42 PM - Ohad Levy

Do you want to send a git formatted patch / pull request instead? so we could blame you in the future? :)

#2 - 06/08/2012 03:08 AM - Ivan Necas

Done :) https://github.com/theforeman/foreman/pull/68

#3 - 06/08/2012 07:48 AM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 804198404e166a43f59f179f9a221f309b3835f1.

#4 - 06/08/2012 02:19 PM - Ohad Levy

- Target version set to 1.0

Files

fix_ruby_parser_dependency.patch 342 Bytes 06/07/2012 Ivan Necas
